import { PaginationProps } from '../models';
import { Identifiable } from '@custis/common';
type PaginationPropsActions<TItem extends Identifiable> = Pick<PaginationProps<TItem>, 'gotoPage' | 'nextPage' | 'previousPage' | 'setPageSize'>;
type PaginationPropsData<TItem extends Identifiable> = Pick<PaginationProps<TItem>, 'canPreviousPage' | 'canNextPage' | 'pageSize' | 'pageCount' | 'pageIndex'>;
export declare class PaginationService<TItem extends Identifiable> {
    paginationPropsActions?: PaginationPropsActions<TItem>;
    paginationPropsData?: PaginationPropsData<TItem>;
    constructor();
    getPagingCount(pageSize: number, totalCount?: number): number;
    setPaginationPropsActions(actions: PaginationPropsActions<TItem>): void;
    setPaginationPropsData(data: PaginationPropsData<TItem>): void;
    get paginationProps(): PaginationProps<TItem> | undefined;
}
export {};
